Package com.smartgwt.logicalstructure.widgets.drawing

# Class DrawLabelLogicalStructure

java.lang.Object
com.smartgwt.logicalstructure.core.LogicalStructureObject
com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure
com.smartgwt.logicalstructure.widgets.drawing.DrawItemLogicalStructure
com.smartgwt.logicalstructure.widgets.drawing.DrawLabelLogicalStructure

public class DrawLabelLogicalStructure extends DrawItemLogicalStructure

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `alignment`
  `String`
  `contents`
  `String`
  `editProxyConstructor`
  `String`
  `escapeContents`
  `String`
  `fontFamily`
  `String`
  `fontSize`
  `String`
  `fontStyle`
  `String`
  `fontWeight`
  `String[]`
  `knobs`
  `String`
  `left`
  `String`
  `lineColor`
  `String`
  `rotation`
  `String`
  `styleName`
  `String`
  `top`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.drawing.DrawItemLogicalStructure

  `canDrag, canHover, contextMenu, cursor, destroyed, destroying, dragStartDistance, drawGroup, drawPaneAsDrawPane, drawPaneAsString, endArrow, eventOpaque, eventPassThrough, fillColor, fillGradientAsGradient, fillGradientAsString, fillOpacity, hoverDelay, keepInParentRectAsString, lineCap, lineOpacity, linePattern, lineWidth, moveKnobOffset, moveKnobPoint, prompt, proportionalResizeModifiers, proportionalResizing, resizeKnobPoints, resizeViaLocalTransformOnly, scale, shadow, showHover, showResizeOutline, showTitleLabelBackground, startArrow, title, titleAutoFit, titleAutoFitMargin, titleAutoFitRotationMode, titleLabelPadding, titleRotationMode, translate, useSimpleTransform, xShearFactor, yShearFactor, zIndex`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure

  `autoDraw, ID`

  ### Fields inherited from class com.smartgwt.logicalstructure.core.LogicalStructureObject

  `logicalStructureErrors, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DrawLabelLogicalStructure()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### alignment

    public String alignment

  - ### contents

    public String contents

  - ### editProxyConstructor

    public String editProxyConstructor

  - ### escapeContents

    public String escapeContents

  - ### fontFamily

    public String fontFamily

  - ### fontSize

    public String fontSize

  - ### fontStyle

    public String fontStyle

  - ### fontWeight

    public String fontWeight

  - ### knobs

    public String[] knobs

  - ### left

    public String left

  - ### lineColor

    public String lineColor

  - ### rotation

    public String rotation

  - ### styleName

    public String styleName

  - ### top

    public String top

- ## Constructor Details

  - ### DrawLabelLogicalStructure

    public DrawLabelLogicalStructure()